Media options
Delete metaproperty options
delete
https://{your-bynder-domain}/api/media/options
Body
application/json
Body
application/json
asset_idstring
Example:00000000-0000-0000-0000000000000000
metaproperty_idstring
Example:00000000-0000-0000-0000000000000000
metaproperty_option_idsarray[string]
Example:00000000-0000-0000-0000000000000000
Response
application/json
Response
application/json
No Content
messagestring
Example:No Content
statuscodeinteger
Example:204
delete/api/media/options
Authentication
Body
{}
application/json
Add metaproperty options
These calls allow you to change the metaproperty options attached to an asset.
Note that this is an append operation; the options you add here will be appended to the existing option on the asset, it does not overwrite them.
post
https://{your-bynder-domain}/api/media/options
Body
application/json
Body
application/json
asset_idstring
Example:00000000-0000-0000-0000000000000000
metaproperty_idstring
Example:00000000-0000-0000-0000000000000000
metaproperty_option_idsarray[string]
Example:00000000-0000-0000-0000000000000000
Response
application/json
Response
application/json
Created
messagestring
Example:Created
statuscodeinteger
Example:201
post/api/media/options
Authentication
Body
{
"asset_id": "00000000-0000-0000-0000000000000000",
"metaproperty_id": "00000000-0000-0000-0000000000000000",
"metaproperty_option_ids": [
"00000000-0000-0000-0000000000000000",
"00000000-0000-0000-0000000000000001"
]
}
application/json